Subject: Re: bug#22421: 25.0.5; Comments confuse checkdoc in defconst

From: Alexis <[email-masked]>
Date: Thu, 21 Jan 2016 23:06:14 +1100

Clément Pit--Claudel <[email-masked]> writes:

> The following bit of code raises a checkdoc warning about "a" 
> missing a final dot, and being improperly capitalized. Is this 
> expected?
>
> (defconst a 
>   ;; comment "a" "Docs for a")
>
> It seems that checkdoc is picking up "a" as the docstring.

i can't reproduce this from emacs -Q compiled from the emacs-25 
branch at commit 5293d1bd; can you please try a more recent build?

Alexis.